-- get the addon namespace
local addon, ns = ...

-- generate a holder for the config data
local cfg = CreateFrame("Frame")

local version, build, date = GetBuildInfo()
cfg.release = tonumber(string.sub(version,0,1))
cfg.freq=1/4 -- OnUpdate freq
cfg.x=0
cfg.y=-25
cfg.hrp=6 -- RP H
cfg.hdes=8 -- Des H
cfg.rsize=24 -- 18 -- Rune size
cfg.rspace=3 -- Rune space
cfg.textsize=12
cfg.textfont="Fonts\\FRIZQT__.TTF"
cfg.my_units={player = true,
  pet = false,
  vehicle = false
  }

cfg.backdrop_texture = "Interface\\AddOns\\Hrunes\\textures\\backdrop"
cfg.backdrop_edge_texture = "Interface\\AddOns\\Hrunes\\textures\\backdrop_edge"
cfg.statusbar_texture = "Interface\\AddOns\\Hrune\\textures\\Minimalist"-- "Interface\\BUTTONS\\UI-Listbox-Highlight2"
ns.cfg = cfg